Index: trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90	(revision 1788)
@@ -14,5 +14,5 @@
                   pdu,pdv,pdt,pdq,pdpsrf)
  
-      use radinc_h, only : L_NSPECTI,L_NSPECTV,naerkind
+      use radinc_h, only : L_NSPECTI,L_NSPECTV
       use radcommon_h, only: sigma, glat, grav, BWNV
       use surfdat_h, only: phisfi, zmea, zstd, zsig, zgam, zthe
@@ -22,6 +22,5 @@
       use geometry_mod, only: latitude, longitude, cell_area
       USE comgeomfi_h, only: totarea, totarea_planet
-      USE tracer_h, only: noms, mmol, radius, qext, &
-                          alpha_lift, alpha_devil, qextrhor
+      USE tracer_h, only: noms, mmol
       use time_phylmdz_mod, only: ecritphy, iphysiq, nday
       use phyetat0_mod, only: phyetat0
@@ -74,5 +73,4 @@
 !      V. Tracers
 !         V.1. Chemistry
-!         V.2. Aerosols and particles.
 !         V.3. Updates (pressure variations, surface budget).
 !         V.4. Surface Tracer Update.
@@ -225,8 +223,4 @@
 ! -----------------
 
-!     Aerosol (dust or ice) extinction optical depth  at reference wavelength 
-!     for the "naerkind" optically active aerosols:
-
-      real aerosol(ngrid,nlayer,naerkind) ! Aerosols.
       real zh(ngrid,nlayer)               ! Potential temperature (K).
       real pw(ngrid,nlayer)               ! Vertical velocity (m/s). (NOTE : >0 WHEN DOWNWARDS !!)
@@ -274,5 +268,4 @@
       real dqsurf(ngrid,nq)                 ! Cumulated tendencies.
       real zdqsdif(ngrid,nq)                ! Turbdiff/vdifc routines.
-      real zdqssed(ngrid,nq)                ! Callsedim routine.
       real zdqsurfmr(ngrid,nq)              ! Mass_redistribution routine.
                   
@@ -281,5 +274,4 @@
       real zdqdif(ngrid,nlayer,nq)    ! Turbdiff/vdifc routines.
       real zdqevap(ngrid,nlayer)      ! Turbdiff routine.
-      real zdqsed(ngrid,nlayer,nq)    ! Callsedim routine.
       real zdqmr(ngrid,nlayer,nq)     ! Mass_redistribution routine.
       
@@ -327,11 +319,7 @@
       real vmr(ngrid,nlayer)                        ! volume mixing ratio
       real time_phys
-      real,allocatable,dimension(:),save :: tau_col ! Total Aerosol Optical Depth.
-!$OMP THREADPRIVATE(tau_col)
       
       real ISR,ASR,OLR,GND,DYN,GSR,Ts1,Ts2,Ts3,TsS ! for Diagnostic.
       
-      real qcol(ngrid,nq) ! Tracer Column Mass (kg/m2).
-
 !     to test energy conservation (RW+JL)
       real mass(ngrid,nlayer),massarea(ngrid,nlayer)
@@ -353,16 +341,8 @@
       real fluxtop_lw1(ngrid), fluxabs_sw1(ngrid)                            ! For SW/LW flux.
       real albedo_equivalent1(ngrid)                                         ! For Equivalent albedo calculation.
-      real tau_col1(ngrid)                                                   ! For aerosol optical depth diagnostic.
-      real OLR_nu1(ngrid,L_NSPECTI), OSR_nu1(ngrid,L_NSPECTV)                ! For Outgoing Radiation diagnostics.
       real tf, ntf    
 
       real,allocatable,dimension(:,:),save :: qsurf_hist
 !$OMP THREADPRIVATE(qsurf_hist)
-
-      real,allocatable,dimension(:,:,:),save :: reffrad  ! Aerosol effective radius (m). By RW
-      real,allocatable,dimension(:,:,:),save :: nueffrad ! Aerosol effective radius variance. By RW
-!$OMP THREADPRIVATE(reffrad,nueffrad)
-
-      real reffcol(ngrid,naerkind)
 
 ! Local variables for Titan chemistry and microphysics (JVO 2017)
@@ -425,6 +405,4 @@
         ALLOCATE(zuprevious(ngrid,nlayer))
         ALLOCATE(qsurf_hist(ngrid,nq))
-        ALLOCATE(reffrad(ngrid,nlayer,naerkind))
-        ALLOCATE(nueffrad(ngrid,nlayer,naerkind))
         ALLOCATE(fluxsurf_lw(ngrid))
         ALLOCATE(fluxsurf_sw(ngrid))
@@ -439,5 +417,4 @@
         ALLOCATE(zdtlw(ngrid,nlayer))
         ALLOCATE(zdtsw(ngrid,nlayer))
-        ALLOCATE(tau_col(ngrid))
         ALLOCATE(dycchi(ngrid,nlayer,nq-nmicro))
         ALLOCATE(qysat(nlayer,nq-nmicro))
@@ -455,12 +432,6 @@
          dtrad(:,:) = 0.0
          fluxrad(:) = 0.0
-         tau_col(:) = 0.0
          zdtsw(:,:) = 0.0
          zdtlw(:,:) = 0.0
-
-
-!        Initialize aerosol indexes.
-!        ~~~~~~~~~~~~~~~~~~~~~~~~~~~
-         call iniaerosol()
 
       
@@ -781,9 +752,9 @@
                call callcorrk(ngrid,nlayer,pq,nq,qsurf,                           &
                               albedo,albedo_equivalent,emis,mu0,pplev,pplay,pt,   &
-                              tsurf,fract,dist_star,aerosol,                      &
+                              tsurf,fract,dist_star,                              &
                               zdtlw,zdtsw,fluxsurf_lw,fluxsurf_sw,                &
                               fluxsurfabs_sw,fluxtop_lw,                          &
                               fluxabs_sw,fluxtop_dn,OLR_nu,OSR_nu,                &
-                              tau_col,firstcall,lastcall)
+                              firstcall,lastcall)
 
                ! Radiative flux from the sky absorbed by the surface (W.m-2).
@@ -1057,25 +1028,4 @@
          endif
       
-  ! -------------------------
-  !   V.2. Aerosol particles
-  ! -------------------------
-
-         ! Sedimentation.
-         if (sedimentation) then
-        
-            zdqsed(1:ngrid,1:nlayer,1:nq) = 0.0
-            zdqssed(1:ngrid,1:nq)  = 0.0
-           
-            call callsedim(ngrid,nlayer,ptimestep,           &
-                          pplev,zzlev,pt,pdt,pq,pdq,        &
-                          zdqsed,zdqssed,nq)
-
-            ! Whether it falls as rain or snow depends only on the surface temperature
-            pdq(1:ngrid,1:nlayer,1:nq) = pdq(1:ngrid,1:nlayer,1:nq) + zdqsed(1:ngrid,1:nlayer,1:nq)
-            dqsurf(1:ngrid,1:nq) = dqsurf(1:ngrid,1:nq) + zdqssed(1:ngrid,1:nq)
-
-         end if ! end of 'sedimentation'
-
-
   ! ---------------
   !   V.3 Updates
@@ -1214,6 +1164,4 @@
                print*,'fluxtop_dn has gone crazy'
                print*,'fluxtop_dn=',fluxtop_dn(ig)
-               print*,'tau_col=',tau_col(ig)
-               print*,'aerosol=',aerosol(ig,:,:)
                print*,'temp=   ',pt(ig,:)
                print*,'pplay=  ',pplay(ig,:)
@@ -1268,19 +1216,4 @@
          call abort
       endif
-
-
-      ! Compute column amounts (kg m-2) if tracers are enabled.
-      if(tracer)then
-         qcol(1:ngrid,1:nq)=0.0
-         do iq=1,nq
-            do ig=1,ngrid
-               qcol(ig,iq) = SUM( zq(ig,1:nlayer,iq) * mass(ig,1:nlayer))
-            enddo
-         enddo
-
-         ! Generalised for arbitrary aerosols now. By LK
-         reffcol(1:ngrid,1:naerkind)=0.0
-
-      endif ! end of 'tracer'
 
 
@@ -1359,6 +1292,4 @@
                call wstats(ngrid,trim(noms(iq))//'_surf',trim(noms(iq))//'_surf',  & 
                            'kg m^-2',2,qsurf(1,iq) )
-               call wstats(ngrid,trim(noms(iq))//'_col',trim(noms(iq))//'_col',    & 
-                          'kg m^-2',2,qcol(1,iq) )
                           
 !              call wstats(ngrid,trim(noms(iq))//'_reff',                          & 
@@ -1472,18 +1403,7 @@
             call writediagfi(ngrid,trim(noms(iq))//'_surf',trim(noms(iq))//'_surf',  & 
                              'kg m^-2',2,qsurf_hist(1,iq) )
-            call writediagfi(ngrid,trim(noms(iq))//'_col',trim(noms(iq))//'_col',    & 
-                            'kg m^-2',2,qcol(1,iq) )
                           
 !          call writediagfi(ngrid,trim(noms(iq))//'_surf',trim(noms(iq))//'_surf',  & 
 !                          'kg m^-2',2,qsurf(1,iq) )                          
-
-            do ig=1,ngrid
-               if(tau_col(ig).gt.1.e3)then
-                  print*,'WARNING: tau_col=',tau_col(ig)
-                  print*,'at ig=',ig,'in PHYSIQ'
-               endif         
-            end do
-
-            call writediagfi(ngrid,"tau_col","Total aerosol optical depth","[]",2,tau_col)
 
          enddo ! end of 'nq' loop
Index: trunk/LMDZ.TITAN/libf/phytitan/radcommon_h.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/radcommon_h.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/radcommon_h.F90	(revision 1788)
@@ -1,5 +1,4 @@
 module radcommon_h
-      use radinc_h, only: L_NSPECTI, L_NSPECTV, L_NGAUSS, NTstar, NTstop, &
-                          naerkind, nsizemax
+      use radinc_h, only: L_NSPECTI, L_NSPECTV, L_NGAUSS, NTstar, NTstop
       implicit none
 
@@ -41,21 +40,4 @@
 !                  each temperature, pressure, and spectral interval
 !
-!     AEROSOL RADIATIVE OPTICAL CONSTANTS
-! 
-!   Shortwave
-!   ~~~~~~~~~
-! 
-! For the "naerkind" kind of aerosol radiative properties : 
-! QVISsQREF  :  Qext / Qext("longrefvis")
-! omegavis   :  single scattering albedo
-! gvis       :  assymetry factor
-! 
-!   Longwave
-!   ~~~~~~~~
-! 
-! For the "naerkind" kind of aerosol radiative properties : 
-! QIRsQREF :  Qext / Qext("longrefvis")
-! omegaIR  :  mean single scattering albedo
-! gIR      :  mean assymetry factor
 
       REAL*8 BWNI(L_NSPECTI+1), WNOI(L_NSPECTI), DWNI(L_NSPECTI), WAVEI(L_NSPECTI) !BWNI read by master in setspi
@@ -65,8 +47,4 @@
 	!$OMP WNOV,DWNV,WAVEV,&
 	!$OMP STELLARF,TAURAY)
-
-      REAL*8 blami(L_NSPECTI+1)
-      REAL*8 blamv(L_NSPECTV+1) ! these are needed by suaer.F90
-!$OMP THREADPRIVATE(blami,blamv)
 
       !! AS: introduced to avoid doing same computations again for continuum
@@ -85,37 +63,4 @@
 	!$OMP FZEROI,FZEROV)     !pgasmin,pgasmax,tgasmin,tgasmax read by master in sugas_corrk
 
-      real QVISsQREF(L_NSPECTV,naerkind,nsizemax)
-      real omegavis(L_NSPECTV,naerkind,nsizemax)
-      real gvis(L_NSPECTV,naerkind,nsizemax)
-      real QIRsQREF(L_NSPECTI,naerkind,nsizemax)
-      real omegair(L_NSPECTI,naerkind,nsizemax)
-      real gir(L_NSPECTI,naerkind,nsizemax)
-!$OMP THREADPRIVATE(QVISsQREF,omegavis,gvis,QIRsQREF,omegair,gir)
-
-
-! Reference wavelengths used to compute reference optical depth (m)
-! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-      REAL lamrefir(naerkind),lamrefvis(naerkind)
-
-! Actual number of grain size classes in each domain for a
-!   given aerosol:
-
-      INTEGER          :: nsize(naerkind,2)
-
-! Particle size axis (depend on the kind of aerosol and the
-!   radiation domain)
-
-      DOUBLE PRECISION :: radiustab(naerkind,2,nsizemax)
-!$OMP THREADPRIVATE(lamrefir,lamrefvis,radiustab) !nsize read by suaer_corrk
-
-! Extinction coefficient at reference wavelengths;
-!   These wavelengths are defined in aeroptproperties, and called
-!   longrefvis and longrefir.
-
-      REAL :: QREFvis(naerkind,nsizemax)
-      REAL :: QREFir(naerkind,nsizemax)
-      REAL :: omegaREFvis(naerkind,nsizemax)
-      REAL :: omegaREFir(naerkind,nsizemax)
 
       REAL,SAVE :: tstellar ! Stellar brightness temperature (SW)
Index: trunk/LMDZ.TITAN/libf/phytitan/radinc_h.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/radinc_h.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/radinc_h.F90	(revision 1788)
@@ -49,9 +49,4 @@
 !               the k-coefficients. Variable component of the mixture
 !		can in princple be anything: currently it's H2O.
-!
-!     NAERKIND  The number of radiatively active aerosol types
-!
-!     NSIZEMAX  The maximum number of aerosol particle sizes
-!
 !----------------------------------------------------------------------
 
@@ -70,5 +65,4 @@
       integer, parameter :: L_NSPECTV = NBvisible
 
-!      integer, parameter :: NAERKIND  = 2 ! set in scatterers.h
       real,    parameter :: L_TAUMAX  = 35
 
@@ -84,9 +78,4 @@
       !integer, parameter :: NTstop = 50000
       !real*8,parameter :: NTfac = 1.0D+2    
-
-      ! Maximum number of grain size classes for aerosol convolution:
-      ! This must correspond to size of largest dataset used for aerosol 
-      ! optical properties in datagcm folder.
-      integer, parameter :: nsizemax = 60
 
       character(len=100),save :: corrkdir
Index: trunk/LMDZ.TITAN/libf/phytitan/setspi.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/setspi.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/setspi.F90	(revision 1788)
@@ -23,5 +23,5 @@
 
       use radinc_h,    only: L_NSPECTI,corrkdir,banddir,NTstar,NTstop,NTfac
-      use radcommon_h, only: BWNI,BLAMI,WNOI,DWNI,WAVEI,planckir,sigma
+      use radcommon_h, only: BWNI,WNOI,DWNI,WAVEI,planckir,sigma
       use datafile_mod, only: datadir
       use comcstfi_mod, only: pi
@@ -136,7 +136,5 @@
          DWNI(M)  = BWNI(M+1)-BWNI(M)
          WAVEI(M) = 1.0D+4/WNOI(M)
-         BLAMI(M) = 0.01D0/BWNI(M)         
-      end do
-      BLAMI(M) = 0.01D0/BWNI(M)
+      end do
 !     note M=L_NSPECTI+1 after loop due to Fortran bizarreness
 
Index: trunk/LMDZ.TITAN/libf/phytitan/setspv.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/setspv.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/setspv.F90	(revision 1788)
@@ -24,5 +24,5 @@
 
       use radinc_h,    only: L_NSPECTV, corrkdir, banddir
-      use radcommon_h, only: BWNV,BLAMV,WNOV,DWNV,WAVEV, &
+      use radcommon_h, only: BWNV,WNOV,DWNV,WAVEV, &
                              STELLARF,TAURAY
       use datafile_mod, only: datadir
@@ -113,7 +113,5 @@
          DWNV(M)  = BWNV(M+1)-BWNV(M)
          WAVEV(M) = 1.0E+4/WNOV(M)
-         BLAMV(M) = 0.01/BWNV(M)
       end do
-      BLAMV(M) = 0.01/BWNV(M) ! wavelength in METERS for aerosol stuff
 !     note M=L_NSPECTV+1 after loop due to Fortran bizarreness
 
Index: trunk/LMDZ.TITAN/libf/phytitan/tracer_h.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/tracer_h.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/tracer_h.F90	(revision 1788)
@@ -10,12 +10,7 @@
        character*20, DIMENSION(:), ALLOCATABLE :: noms   ! name of the tracer
        real, DIMENSION(:), ALLOCATABLE :: mmol     ! mole mass of tracer (g/mol-1) 
-       real, DIMENSION(:), ALLOCATABLE :: radius   ! dust and ice particle radius (m)
        real, DIMENSION(:), ALLOCATABLE :: rho_q    ! tracer densities (kg.m-3)
-       real, DIMENSION(:), ALLOCATABLE :: qext     ! Single Scat. Extinction coeff at 0.67 um
-       real, DIMENSION(:), ALLOCATABLE :: alpha_lift  ! saltation vertical flux/horiz flux ratio (m-1)
-       real, DIMENSION(:), ALLOCATABLE :: alpha_devil ! lifting coeeficient by dust devil
-       real, DIMENSION(:), ALLOCATABLE :: qextrhor ! Intermediate for computing opt. depth from q
 
-!$OMP THREADPRIVATE(noms,mmol,radius,rho_q,qext,alpha_lift,alpha_devil,qextrhor)
+!$OMP THREADPRIVATE(noms,mmol,rho_q)
 
 ! tracer indexes: these are initialized in initracer and should be 0 if the
